﻿Imports Windows.UI

' 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234238 を参照してください

''' <summary>
''' それ自体で使用できる空白ページまたはフレーム内に移動できる空白ページ。
''' </summary>
Public NotInheritable Class SettingPage
    Inherits Page

    Private Sub ketaListBox_SelectionChanged(sender As Object, e As SelectionChangedEventArgs) Handles ketaListBox.SelectionChanged
        Try
            speedListBox.IsEnabled = True
            keta = ketaListBox.SelectedIndex
            ketaValue = DirectCast(ketaListBox.SelectedItem, ListBoxItem).Content.ToString
        Catch
            Exit Sub
        End Try
        'ketaListBox.IsEnabled = False
    End Sub


    Private Sub speedListBox_SelectionChanged(sender As Object, e As SelectionChangedEventArgs) Handles speedListBox.SelectionChanged
        Try
            mojiSizeListBox.IsEnabled = True
            'ketaListBox.IsEnabled = False
            speedListBox.IsEnabled = False
            speed = speedListBox.SelectedIndex
            speedValue = DirectCast(speedListBox.SelectedItem, ListBoxItem).Content.ToString
        Catch
            Exit Sub
        End Try
    End Sub

    Private Sub mojiSizeListBox_SelectionChanged(sender As Object, e As SelectionChangedEventArgs) Handles mojiSizeListBox.SelectionChanged
        Try
            'ketaListBox.IsEnabled = False
            speedListBox.IsEnabled = False
            mojiSizeListBox.IsEnabled = False
            settingResetButton.IsEnabled = True
            myLevel = (ketaListBox.SelectedIndex + 1) * (speedListBox.SelectedIndex + 1) * (mojiSizeListBox.SelectedIndex + 1)
            levelTextBlock.Text = myLevel
            mojiSizeValue = DirectCast(mojiSizeListBox.SelectedItem, ListBoxItem).Content.ToString
            Select Case mojiSizeListBox.SelectedIndex
                Case 0
                    mojiSize = 72
                Case 1
                    mojiSize = 36
                Case 2
                    mojiSize = 18
            End Select
        Catch
            Exit Sub
        End Try
    End Sub

    Private Sub settingResetButton_Click(sender As Object, e As RoutedEventArgs) Handles settingResetButton.Click
        ketaListBox.IsEnabled = True
        levelTextBlock.Text = String.Empty
        ketaListBox.SelectedIndex = -1

        speedListBox.SelectedIndex = -1
        mojiSizeListBox.SelectedIndex = -1
        settingResetButton.IsEnabled = False
    End Sub

    Private Sub backgroundListBox_SelectionChanged(sender As Object, e As SelectionChangedEventArgs) Handles backgroundListBox.SelectionChanged
        backGroundValue = DirectCast(backgroundListBox.SelectedItem, ListBoxItem).Content.ToString
        backGroundIndex = backgroundListBox.SelectedIndex
        Select Case backGroundIndex
            Case 0
                myBackGroundColor = New SolidColorBrush(Colors.White)
                Exit Select
            Case 1
                myBackGroundColor = New SolidColorBrush(Colors.Gray)
                Exit Select
                'Case 2

                'Case 3

                'Case 4
                '    myBackGroundImage = New BitmapImage(New Uri("ms-appx:///Images/syoko1.png", UriKind.Absolute))
        End Select
    End Sub
End Class
